function Create(self)
	self.killdist = 100;
end

function Update(self)
	self.killdist = 100 * (self.Health/100);
	if math.random() <= .04 then
		local part = CreateMOPixel("Spark Green");
		part.Pos = self.Pos + Vector(math.random(-5,5), math.random(-15,5));
		MovableMan:AddParticle(part);
		for actor in MovableMan.Actors do
			local curdist;
			curdist = math.sqrt(math.pow(self.Pos.X - actor.Pos.X,2) + math.pow(self.Pos.Y - actor.Pos.Y,2))
			if curdist <= self.killdist and actor:IsInGroup("Tiberium") == false then
				actor.Health = actor.Health - 3
				local i = 0;
				while i <= 2 do
					local part = CreateMOPixel("Spark Green");
					part.Pos = actor.Pos + Vector(math.random(-15,15), math.random(-15,15));
					MovableMan:AddParticle(part);
					i = i + 1;
				end
				local part = CreateMOPixel("Spark Green Glow");
				part.Pos = actor.Pos + Vector(math.random(-15,15), math.random(-15,15));
				MovableMan:AddParticle(part);
			end
			if actor.Health <= 30 and actor.Health > 0 and curdist <= self.killdist then
				actor.Health = -10;
				local part = CreateMOSRotating("Tiberium Debris Mini");
				part.Pos = actor.Pos + Vector(math.random(-35,35), math.random(-10,0));
				part.Vel = Vector(0,-15);
				MovableMan:AddParticle(part);
			end
		end
	end

	if SceneMan:FindAltitude(self.Pos,500,10) <= self.killdist + 20 then
		self.Vel = self.Vel + Vector(0,-.1);
	end

	if math.random() <= .001 then
		local part = CreateActor("Mini Tiberium");
		part.Pos = self.Pos;
		MovableMan:AddParticle(part);
	end
end