function Create(self)
	self.killdist = 100;
	self.growtime = Timer();
	self.age = math.random(5000,45000);
end

function Update(self)
	if math.random() <= .02 then
		for actor in MovableMan.Actors do
			local curdist;
			curdist = math.sqrt(math.pow(self.Pos.X - actor.Pos.X,2) + math.pow(self.Pos.Y - actor.Pos.Y,2))
			if curdist <= self.killdist and actor:IsInGroup("Tiberium") == false  then
				if actor.ClassName ~= "ACraft" then
					actor.Health = actor.Health - 10
				else
					actor.Health = actor.Health - 1
				end
				local i = 0;
				while i <= 2 do
					local part = CreateMOPixel("Spark Green Glow");
					part.Pos = actor.Pos + Vector(math.random(-15,15), math.random(-15,15));
					MovableMan:AddParticle(part);
					i = i + 1;
				end
				end
			end
	end
	if math.random() <= .001 then
		if MovableMan:GetMOIDCount() >= 201 then
			self.ToSettle = true;
		else
			local type;
			local part;
			type = math.ceil(math.random(0,20));
				part = CreateMOSRotating("Tiberium Tower A");
			if type >=4 and type <= 8 then
				part = CreateMOSRotating("Tiberium Tower B");
			end
			if type >=6 then
				part = CreateMOSRotating("Tiberium Tower C");
			end
			if type >=8 then
				part = CreateMOSRotating("Tiberium A");
			end
			if type >=10 then
				part = CreateMOSRotating("Tiberium B");
			end
			if type >=12 then
				part = CreateMOSRotating("Tiberium C");
			end
			if type >=14 then
				part = CreateMOSRotating("Mini Tiberium");
			end
			if type >=16 then
				part = CreateMOSRotating("Tiberium Rock");
			end
			if type >=20 then
				part = CreateMOSRotating("Tiberium Shard");
			end
			part.Pos = self.Pos;
			MovableMan:AddParticle(part);
			local i = 0;
			while i <= 1 do
				part = CreateMOSRotating("Tiberium Streamer");
				part.Pos = self.Pos;
				MovableMan:AddParticle(part);
				i = i + 1;
			end
			self:GibThis();
		end
	end
	if self.growtime:IsPastSimMS(self.age) then
		if math.random() <= .5 then
			self.ToSettle = true;
		else
			local i = 0;
			while i <= 4 do
				part = CreateMOSRotating("Tiberium Shard");
				part.Pos = self.Pos;
				part.Vel = Vector(math.random(-150,150), math.random(-150,150));
				part.RotAngle = math.random() * 6.28
				MovableMan:AddParticle(part);
				part:EraseFromTerrain();
				i = i + 1;
			end
			self:GibThis();
		end
	end
end
